DirectX Diagnostic Tool

DirectX Diagnostic Tool

The Microsoft® DirectX® Diagnostic Tool documentation contains the following topics:

  • About the DirectX Diagnostic Tool
  • What to Look For
  • Testing DirectX Components
  • Overriding Default Behavior


About the DirectX Diagnostic Tool

The Microsoft® DirectX® Diagnostic Tool gives information about the DirectX application programming interface (API) components and drivers on your system. It enables you to test sound and graphics output and Microsoft DirectPlay® service providers. It also enables you to disable some hardware acceleration features.

You can use the diagnostic tool to gather information for a technician during a support call, and you can save the information gathered by the tool and paste it into an e-mail message.

Information is presented on a series of pages. You can move from page to page by any of the following methods:

  • Click the tabs.
  • Click the Next Page button.
  • Press the LEFT ARROW or RIGHT ARROW key when the input focus is on a tab.

You can also click the Save All Information button to save all the information to a text file.

Note Some information, such as the amount of memory on a display card, might be approximate.


What to Look For

If you are experiencing problems when running Microsoft® DirectX® applications, the DirectX Diagnostic Tool can help you find the source of the trouble. Here are some of the things you should be looking for:

  • Incorrect versions of DirectX components. In the Notes section of the DirectX Files page, look for warnings about Beta and debug files. Beta files are early test versions and should not be installed with commercial applications. Debug versions, which are used in program development and likewise should not be installed with the final product, can cause applications to run significantly more slowly than they do under the retail versions of the components.
  • Lack of hardware acceleration. Some programs run very slowly or not at all unless Microsoft DirectDraw® or Direct3D® hardware acceleration is available. On the Display page, look under DirectX Features to see whether DirectDraw, Direct3D, or AGP Texture acceleration is marked "Not Available." If so, you might consider upgrading your hardware.
  • Device not connected. If a joystick or other input device fails to respond, it may not be properly set up. Make sure the device is accounted for on the Input page of the DirectX Diagnostic Tool. If not, add the device through Control Panel.
  • Uncertified Drivers. Microsoft has not tested uncertified drivers for full compatibility with the latest version of DirectX. These drivers are listed on the appropriate component page.


Testing DirectX Components

You can test Microsoft® DirectDraw® and Direct3D® on each monitor attached to your system. You can also test DirectSound® on each wave output device, and DirectMusic® on each music port.

To test a DirectX feature: click the Test button on the appropriate page, read any messages that appear, and watch or listen to the tests. Let each test run until you see a message asking if the test was successful. If you respond No, no more tests are run.

In the case of DirectMusic, there is a single test. Click OK when you are satisfied that the music is or is not playing correctly.

You can test Microsoft DirectPlay® functionality on any available service provider.

procedure arrow To test DirectPlay

  1. On the Network page, click Test DirectPlay. In the DirectPlay Test dialog box, type in a user name and choose a service provider. Select Create New Session, and click OK. If you have chosen a modem connection, click Answer in the Modem Connection dialog box to put the modem in auto-answer mode.
  2. Now run the Microsoft DirectX® Diagnostic Tool on another computer that can establish the selected connection with the first computer. Click Test DirectPlay, type in a different user name, choose the same service provider, click the Join Existing Session button, and click OK.

    3. For some types of connection, you might be asked to provide more information, such as a telephone number. For a TCP/IP connection on a local network, you can leave the text box blank.

  3. On the second computer, in the Session List containing the name of the session you created on the first computer, select the name of the session, and click OK.
  4. Both computers should now show a chat dialog box. Type a message in the input box on one computer, and click Send. The message should appear in the scrolling area of the chat dialog box on both computers.


Overriding Default Behavior

On the Sound page, you can set a different level of hardware acceleration by moving the slider. This level remains in effect after you have closed the Microsoft® DirectX® Diagnostic Tool.

Note This feature is not available on Microsoft Windows® 95.

You can disable hardware acceleration for Microsoft DirectDraw® or Direct3D®, if such acceleration is available. To do so, go to the Display page for each display device, and click the Disable button. Once you have disabled hardware acceleration, it will not be available to any applications even after you close the DirectX Diagnostic Tool. To re-enable hardware acceleration, click the Enable button on the appropriate Display page.

Note Disabling DirectDraw acceleration also disables acceleration for Direct3D.

You can also override the monitor refresh rate set by DirectDraw full-screen applications. You should do this only if you are experiencing display problems with an application and have good reason to believe that the application is setting an invalid refresh rate.

procedure arrow To set an override refresh rate

  1. On the More Help page, click the Override button.
  2. In the Override DirectDraw Refresh Behavior dialog box, select the edit box and enter a valid refresh rate for your monitor.

    3. The Override Value option button is automatically selected when you do this.

  3. Click OK.

procedure arrow To cancel the override refresh rate and allow DirectDraw applications to set their own refresh rate

  1. On the More Help page, click the Override button.
  2. In the Override DirectDraw Refresh Behavior dialog box, select the Default option button, and click OK.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    • Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    • Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    • Remedy: Insert the MSDN Library CD into the CD-ROM drive.